Subject: Re: bug#53150: 29.0.50; Behaviour change in master branch

From: Stefan Kangas <[email-masked]>
Date: Sun, 9 Jan 2022 19:06:06 -0600

Ergus <[email-masked]> writes:

> On emacs 27 when the region is active and I press C-x C-x to go to the
> other end, then I can use move commands (arrows) to change the region
> boundaries (extend or reduce the region).
>
> Now on master if I do the same after C-x C-x if I move the cursor, the
> region is automatically deactivated immediately.
>
> To reproduce:
>
> emacs -Q
> C-r te <RET>
> C-SPC
> M-f M-f
> C-x C-x
> M-b (or C-b, C-f etc) ;; this deactivates the mark unlike emacs 27

I can't reproduce this on the emacs-28 branch.

> Is this intended??

I don't think so, no.  A git bisect would be welcome.